MCP Reference: securesourcemanager.googleapis.com

An MCP server for interacting with Secure Source Manager resources.

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

Server Setup

You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.

Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Secure Source Manager API MCP server offers the following MCP toolset endpoints:

  • https://securesourcemanager.googleapis.com/mcp/branch_rule
  • https://securesourcemanager.googleapis.com/mcp/code_review
  • https://securesourcemanager.googleapis.com/mcp
  • https://securesourcemanager.googleapis.com/mcp/hook
  • https://securesourcemanager.googleapis.com/mcp/ide
  • https://securesourcemanager.googleapis.com/mcp/instance
  • https://securesourcemanager.googleapis.com/mcp/management
  • https://securesourcemanager.googleapis.com/mcp/pull_request
  • https://securesourcemanager.googleapis.com/mcp/repository
  • https://securesourcemanager.googleapis.com/mcp/iam

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world. Toolsets are a group of tools that are useful for a specific task. Using toolsets can help your agent perform better because it decreases the number of tools available to your agent.

Toolsets

The securesourcemanager.googleapis.com MCP server has the following toolsets:

MCP Toolsets
Endpoint Description Tools
/mcp/branch_rule This toolsets provides tools for working with branch protection rules.
/mcp/code_review This toolset provides tools for performing code reviews on open pull requests.
/mcp This toolset provides all available tools, and should not be used outside testing and development.
/mcp/hook This toolset provides tools for working with hooks.
/mcp/ide This toolset provides tools for common workflows in an integrated development environment.
/mcp/instance This toolset provides tools for fetching information about instances.
/mcp/management This toolset provides tools for managing instances and repositories.
/mcp/pull_request This toolset provides tools for working with pull requests.
/mcp/repository This toolset provides tools for working with repositories.
/mcp/iam IAM management APIs for v1 access control policies.

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
curl --location 'https://securesourcemanager.europe-west4.rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'